Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Class JbrProviderDocument.Factory

    java.lang.Object
      org.jboss.soa.esb.listeners.config.xbeanmodel.JbrProviderDocument.Factory

Enclosing interface:
  JbrProviderDocument

    public static final class JbrProviderDocument.Factory

extends java.lang.Object

A factory class with static methods for creating instances of this type.

Method Summary
`static JbrProviderDocument` | `newInstance()`
`static JbrProviderDocument` | `newInstance(org.apache.xmlbeans.XmlOptions options)`
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. `XMLInputStream`
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis, org.apache.xmlbeans.XmlOptions options)` Deprecated. `XMLInputStream`
`static JbrProviderDocument` | `parse(java.io.File file)`
`static JbrProviderDocument` | `parse(java.io.File file, org.apache.xmlbeans.XmlOptions options)`
`static JbrProviderDocument` | `parse(java.io.InputStream is)`
`static JbrProviderDocument` | `parse(java.io.InputStream is, org.apache.xmlbeans.XmlOptions options)`
`static JbrProviderDocument` | `parse(org.w3c.dom.Node node)`
`static JbrProviderDocument` | `parse(org.w3c.dom.Node node, org.apache.xmlbeans.XmlOptions options)`
`static JbrProviderDocument` | `parse(java.io.Reader r)`
`static JbrProviderDocument` | `parse(java.io.Reader r, org.apache.xmlbeans.XmlOptions options)`
`static JbrProviderDocument` | `parse(java.lang.String xmlAsString)`
`static JbrProviderDocument` | `parse(java.lang.String xmlAsString, org.apache.xmlbeans.XmlOptions options)`
`static JbrProviderDocument` | `parse(java.net.URL u)`
`static JbrProviderDocument` | `parse(java.net.URL u, org.apache.xmlbeans.XmlOptions options)`
`static JbrProviderDocument` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. `XMLInputStream`
`static JbrProviderDocument` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis, org.apache.xmlbeans.XmlOptions options)` Deprecated. `XMLInputStream`
`static JbrProviderDocument` | `parse(javax.xml.stream.XMLStreamReader sr)`
`static JbrProviderDocument` | `parse(javax.xml.stream.XMLStreamReader sr, org.apache.xmlbeans.XmlOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static JbrProviderDocument newInstance()

### newInstance

    public static JbrProviderDocument newInstance(org.apache.xmlbeans.XmlOptions options)

### parse

    public static JbrProviderDocument parse(java.lang.String xmlAsString)
                                     throws org.apache.xmlbeans.XmlException

  Parameters:
    `xmlAsString` - the string value to parse
  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static JbrProviderDocument parse(java.lang.String xmlAsString,
                                            org.apache.xmlbeans.XmlOptions options)
                                     throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static JbrProviderDocument parse(java.io.File file)
                                     throws org.apache.xmlbeans.XmlException,
                                            java.io.IOException

  Parameters:
    `file` - the file from which to load an xml document
  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static JbrProviderDocument parse(java.io.File file,
                                            org.apache.xmlbeans.XmlOptions options)
                                     throws org.apache.xmlbeans.XmlException,
                                            java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static JbrProviderDocument parse(java.net.URL u)
                                     throws org.apache.xmlbeans.XmlException,
                                            java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static JbrProviderDocument parse(java.net.URL u,
                                            org.apache.xmlbeans.XmlOptions options)
                                     throws org.apache.xmlbeans.XmlException,
                                            java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static JbrProviderDocument parse(java.io.InputStream is)
                                     throws org.apache.xmlbeans.XmlException,
                                            java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static JbrProviderDocument parse(java.io.InputStream is,
                                            org.apache.xmlbeans.XmlOptions options)
                                     throws org.apache.xmlbeans.XmlException,
                                            java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static JbrProviderDocument parse(java.io.Reader r)
                                     throws org.apache.xmlbeans.XmlException,
                                            java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static JbrProviderDocument parse(java.io.Reader r,
                                            org.apache.xmlbeans.XmlOptions options)
                                     throws org.apache.xmlbeans.XmlException,
                                            java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### parse

    public static JbrProviderDocument parse(javax.xml.stream.XMLStreamReader sr)
                                     throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static JbrProviderDocument parse(javax.xml.stream.XMLStreamReader sr,
                                            org.apache.xmlbeans.XmlOptions options)
                                     throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static JbrProviderDocument parse(org.w3c.dom.Node node)
                                     throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static JbrProviderDocument parse(org.w3c.dom.Node node,
                                            org.apache.xmlbeans.XmlOptions options)
                                     throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### parse

    public static JbrProviderDocument parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                     throws org.apache.xmlbeans.XmlException,
                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `org.apache.xmlbeans.XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### parse

    public static JbrProviderDocument parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                            org.apache.xmlbeans.XmlOptions options)
                                     throws org.apache.xmlbeans.XmlException,
                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `org.apache.xmlbeans.XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                                                                     throws org.apache.xmlbeans.XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `org.apache.xmlbeans.XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                                                                            org.apache.xmlbeans.XmlOptions options)
                                                                                     throws org.apache.xmlbeans.XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. `XMLInputStream`

  Throws:
    `org.apache.xmlbeans.XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD